#include<stdio.h>
#include<stdlib.h>
#include<math.h>


main(){
	unsigned long d=0,V,i=0,j=0;
	scanf("%lu",&V);
	while(V>=1){
		d=V%10;
		switch(d){
            case 1:case 2:case 5:i++;break;
            case 3:case 4:case 6:case 7:i+=2;break;
            default :if(d>7)i+=3;break;
            
		}
		V=V/10;
	}
	printf("%lu",i);
}